Get account usage overview
curl --request GET \
--url https://api.veryfront.com/account/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/account/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/account/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"storage": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"bandwidth": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"api_calls": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"custom_domains": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"code_exports": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"veryfront_badge": {
"used": 123,
"total": 123,
"remaining": 123,
"percent_used": 123
},
"period_start": "<string>",
"period_end": "<string>"
}Returns all tracked resource usage buckets for the authenticated account.
GET
/
account
/
usage
Get account usage overview
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Response
Account usage overview details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
ISO timestamp for the start of the current billing period.
ISO timestamp for the end of the current billing period.
⌘I